USN-4355-1: PulseAudio vulnerability

12 May 2020

pulseaudio vulnerability

Packages

  • pulseaudio - PulseAudio sound server

Details

PulseAudio in Ubuntu contains additional functionality to mediate audio
recording for snap packages and it was discovered that this functionality
did not mediate PulseAudio module unloading. An attacker-controlled snap
with only the audio-playback interface connected could exploit this to
bypass access controls and record audio.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04
Ubuntu 19.10
Ubuntu 18.04
Ubuntu 16.04

After a standard system update you need to restart your session to make
all the necessary changes.